#include "stm32f10x.h"
#include "w5500_conf.h"
#include "string.h"
#include "socket.h"
#include "w5500.h"
#include "utility.h"

#define   Register_Code    "TuENe7k9YDeyjFBL"    //ע
#define   SN               "0003"      //ȨϢ
#define   TITLE            "DHT11"    //豸    


uint8 sendbuffer[1024]={0};
unsigned char recvbuff[800];
/**
*@brief		ƽ̨豸
*@param		
*@return	
*/
void post_data_to_oneNET(uint8* buf, uint8* sn,uint8* title,uint8* Register_code)
{
    static uint8 jsonBuf[200];//json typed data length is 128 bytes Max.
    memset((int8*)jsonBuf,0x00,200);
	  sprintf((int8*)jsonBuf,"{\"sn\":\"%s\",\"title\":\"%s\"}",sn,title);
	
	  sprintf((int8*)buf,"POST /register_de?register_code=%s HTTP/1.1\r\nHost:api.heclouds.com\r\nConnection:close\r\nContent-Length:%d\r\n\r\n%s\r\n",
                      Register_code,strlen((int8*)jsonBuf),jsonBuf);
    
}
/**
*@brief		ƽ̨̬豸
*@param		
*@return	
*/
uint8 do_http_client(void)
{	
	uint16 size=0;
	uint8 ch=SOCK_HTTPC;
	uint16 anyport=3000;
  uint8 reg_flag=1;
	
	while(reg_flag)
	{
	 switch(getSn_SR(ch))																							/*ȡsocket SOCK_TCPS ״̬*/
	 {
		case SOCK_INIT:																									/*socketʼ*/
			connect(ch, server_ip ,server_port);							            /*socket˿*/
		break;	
		case SOCK_ESTABLISHED: 																					/*socketӽ*/
			if(getSn_IR(ch) & Sn_IR_CON)  
			{
				setSn_IR(ch, Sn_IR_CON);																		/*жϱ־*/
			}
      post_data_to_oneNET(sendbuffer,(uint8 *)SN,(uint8 *)TITLE,(uint8 *)Register_Code);  
      send(ch,(const uint8 *)sendbuffer,sizeof(sendbuffer));							/*W5500 ƽ̨*/
		  delay_ms(700);
			memset(recvbuff,0,800);
		  size = getSn_RX_RSR(ch);
			printf("size:%d\r\n",size);
		  if(size>0)
			{
				recv(ch,recvbuff,size);	
				printf("%s",recvbuff);
				reg_flag=0;
			}				
		break;
		case SOCK_CLOSE_WAIT:  																					/*socketȴر״̬*/
			close(ch);  
		break;
		case SOCK_CLOSED: 																							/*socketر*/   
			socket(ch, Sn_MR_TCP,anyport++ , 0x00);  			
		break;

	 }  
 }
}


