/**
******************************************************************************
* @file    			main.c
* @author  			WIZnet Software Team
* @version 			V1.1
* @date    			2017-08-01
* @brief   			3.5.0汾⽨Ĺģ
* @attention  								
*               EDPЭONENETƽ̨ʵ豸ϴƽ̨·Զ̿豸
******************************************************************************
* @company  		WIZnetڰ
* @website  		www.iwiznet.cn
******************************************************************************
*/ 
#include <stdio.h>
#include <string.h>
#include "stdlib.h"
#include "stm32f10x.h"
#include "bsp_usart1.h"
#include "bsp_i2c_ee.h"
#include "bsp_i2c_gpio.h"
#include "edpkit.h"
#include "w5500.h"
#include "led.h"
#include "W5500_conf.h"
#include "socket.h"
#include "utility.h"
#include "tcp_demo.h"
#include "sys.h"
#include "timer.h"
#include "vchoice.h"
#include "http_client.h"

int main(void)
{ 	
	 static char choice[3];
   NVIC_PriorityGroupConfig(NVIC_PriorityGroup_2); //NVICжϷ2:2λռȼ2λӦȼ  
	 systick_init(72);				            /*ʼSystickʱ*/
	 LED_Init();                         //LEDʼ
	 USART1_Config(); 				            /*ʼͨ:115200@8-n-1*/
	 i2c_CfgGpio();				    	        /*ʼeeprom*/
   TIM3_Int_Init(4999,7199);//10KhzļƵʣ5000Ϊ500ms  
	 printf("\r\n=========== W5500_Control_Point ===========\r\n");
	 printf("                APPLICATION MENU :             \r\n");
	 printf("\r\n===========================================\r\n");
	 printf("\r\n");
	 printf(" 1 - Control LED lamp test \r\n");
   printf(" 2 - Upload temperature and humidity test \r\n");		
	 printf(" Enter your choice : \r\n");
	
   GetInputString(choice);
 
	 if (strcmp(choice,"1")== 0)
		{
		  gpio_for_w5500_config();	         	/*ʼMCU*/
	    reset_w5500();					            /*ӲλW5500*/
	    set_w5500_mac();                    /*MACַ*/
      set_w5500_ip();                     /*IPַ*/
			socket_buf_init(txsize, rxsize);    /*ʼ8SocketķͽջС*/
			
			printf(" ΪTCP,W5500Ϊ TCPͻȥ \r\n");
	    printf(" IP:%d.%d.%d.%d\r\n",remote_ip[0],remote_ip[1],remote_ip[2],remote_ip[3]);
	    printf(" ˿:%d \r\n",remote_port);
	    printf(" ӳɹ󣬷ݸW5500W5500ضӦ \r\n");
	    printf(" ӦóִС\r\n"); 
			
			do_tcp_client_1();                  /*TCP_Client ݻػԳ*/
		}
	 if ((strcmp(choice,"2") == 0))
	 {
	    gpio_for_w5500_config();	         	/*ʼMCU*/
	    reset_w5500();					            /*ӲλW5500*/
	    set_w5500_mac();                    /*MACַ*/
      set_w5500_ip();                     /*IPַ*/
		  socket_buf_init(txsize, rxsize);    /*ʼ8SocketķͽջС*/
		
		  printf(" ΪTCP,W5500Ϊ TCPͻȥ \r\n");
	    printf(" IP:%d.%d.%d.%d\r\n",remote_ip[0],remote_ip[1],remote_ip[2],remote_ip[3]);
	    printf(" ˿:%d \r\n",remote_port);
	    printf(" ӳɹ󣬷ݸW5500W5500ضӦ \r\n");
	    printf(" ӦóִС\r\n"); 
		
		  do_tcp_client_2();
	 }
   else
	 {
	    gpio_for_w5500_config();	         	/*ʼMCU*/
	    reset_w5500();					            /*ӲλW5500*/
	    set_w5500_mac();                    /*MACַ*/
      set_w5500_ip();                     /*IPַ*/
		  socket_buf_init(txsize, rxsize);    /*ʼ8SocketķͽջС*/
	    do_http_client();
	 }
	 
	while(1)                            /*ѭִеĺ*/ 
	{
		
	}
} 



