#include "stm32f10x.h"
#include "DHT11.h"
#include "stdio.h"
#include "utility.h"
void GPIO_DHT_Out_Mode(void)
{
  GPIO_InitTypeDef GPIO_InitStructure;
  
  GPIO_InitStructure.GPIO_Pin = PC2;
  GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
  GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_OD; //©
  GPIO_Init(GPIOC,&GPIO_InitStructure);
}
void GPIO_DHT_Input_Mode(void)
{
  GPIO_InitTypeDef GPIO_InitStructure;
  
  GPIO_InitStructure.GPIO_Pin = PC2;
  GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
  GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IN_FLOATING;//
  GPIO_Init(GPIOC,&GPIO_InitStructure);
}

uint8_t DHT11_ReadData(void)
{       
     uint8_t i,temp=0; 
    for(i=0;i<8;i++)     
    { 
      while(!rDHT11);//ÿһbitݶ50us͵ƽʱ϶ʼ
      delay_us(33);//ȷʱ33us
      if(rDHT11)//λΪ1
      {
        temp=temp<<1 | 0x01;
        while(rDHT11);
      }
      else//λΪ0
	temp<<=1;
    }
    return temp;
} 
 
uint8_t DHT11_GetValue(uint8_t *p)
{ 
    uint8 temp,temp1,temp2;
    GPIO_DHT_Out_Mode();
    delay_us(10);
    //߿״̬Ϊߵƽ,͵ȴDHT11Ӧ,ͱ18,֤DHT11ܼ⵽ʼźš
    GPIO_ResetBits(GPIOC,PC2);
    delay_ms(20);//ȷʱ20ms
    GPIO_SetBits(GPIOC,PC2);
    //ͿʼźŽ,ʱȴ20-40us, ȡDHT11Ӧźš
    delay_us(40);//ȷʱ40us
    //Ϊ͵ƽ,˵DHT11Ӧź
    GPIO_DHT_Input_Mode();
    //Delay_us(10);
    if(!rDHT11)
    {  
      //жϴӻĵ͵ƽӦźǷ   
      while(!rDHT11); 
      //DHT11Ӧźź,ٰ80us
      while(rDHT11); 
      p[0]=DHT11_ReadData();//8bitʪ
      temp1=DHT11_ReadData();//Ч
      p[1]=DHT11_ReadData();//8bit¶
      temp2=DHT11_ReadData();//Ч
      temp=DHT11_ReadData();//8bitУ
      GPIO_DHT_Out_Mode();
      delay_us(10);
      GPIO_SetBits(GPIOC,PC2);     
      if(temp==(p[0]+p[1]+temp1+temp2))	
      {
	      return 1;
      }
    }
    return 0;
}
