#include "led.h"
#include "stm32f10x.h"
#include <stdio.h>
#include <string.h>
#include "stdlib.h"
#include "tcp_demo.h"

volatile unsigned char  value0=0;
volatile unsigned char  value1=0;
volatile unsigned char  value2=0;
volatile unsigned char  value3=0;


/**
  * @brief  LED指示灯初始化函数
**/
void LED_Init(void)
{
    GPIO_InitTypeDef GPIO_InitStructure;
    //PC0--PC3对应开发板指示灯
    RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOA, ENABLE);
    GPIO_InitStructure.GPIO_Pin = GPIO_Pin_0|GPIO_Pin_1|GPIO_Pin_2|GPIO_Pin_3;
    GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
    GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP;
    GPIO_Init(GPIOA, &GPIO_InitStructure);
	
}




/**
  * @brief  获取LED的当前状态值
**/
void LED_GetValue(void)
{
		if(GPIO_ReadOutputDataBit(GPIOA, GPIO_Pin_0))
		{
				value0=0;
		}
		else
		{
				value0=1;
		}
		if(GPIO_ReadOutputDataBit(GPIOA, GPIO_Pin_1))
		{
				value1=0;
		}
		else
		{
				value1=1;
		}
		if(GPIO_ReadOutputDataBit(GPIOA, GPIO_Pin_2))
		{
				value2=0;
		}
		else
		{
				value2=1;
		}
		if(GPIO_ReadOutputDataBit(GPIOA, GPIO_Pin_3))								
		{
				value3=0;
		}
		else
		{
				value3=1;
		}
}







